--- /dev/null
+#!/bin/sh
+#
+# Script to stop the nominated overlay subhost
+
+[ $(id -u) = 0 ] || exec sudo $0 $@
+. $(dirname $(realpath $0))/functions XXX
+
+NAME="$1"
+
+read USPID RSPID <<EOF
+$(is_live $NAME)
+EOF
+
+[ -z "$USPID" ] && echo "$NAME i snot running" >&2 && exit 1
+
+if [ -z "$RSPID" ] ; then
+ cat <<EOF >&2
+*** $NAME is started (pid $USPID) but doesn't seem to be running
+*** /.reaper and might need manual fixing.
+EOF
+ exit 1
+fi
+
+CHILDPIDS="$(nsenter -t $RSPID -p -m ps -hopid --ppid 1)"
+nsenter -t $RSPID -p -m kill $CHILDPIDS